### Function

# Gimp Selection all

#### Declaration [src]

    gboolean
    gimp_selection_all (
      GimpImage* image
    )

#### Description [src]

Select all of the image.

This procedure sets the selection mask to completely encompass the image. Every pixel in the selection channel is set to 255.

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.